Subject: Gen-ART LC Review of draft-ietf-lmap-use-cases-04

From: Ben Campbell <[email-masked]>
Date: Tue, 7 Oct 2014 16:16:04 -0500

I am the assigned Gen-ART reviewer for this draft. For background on
Gen-ART, please see the FAQ at

<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please resolve these comments along with any other Last Call comments
you may receive.

Document: draft-ietf-lmap-use-cases-04
Reviewer: Ben Campbell
Review Date: 2014-10-07
IETF LC End Date: 2014-10-07

Summary: The draft is almost ready for publication as an informational RFC. There are some minor issues and a number of editorial issues that should be considered before publication.

Comment:

[I'm not listing this as an "issue", because I don't expect any action based on it. ]

This draft does not really meet my expectations for a "use case" draft. The majority of this draft is spent on describing two user communities, and why they might want large scale end-to-end testing (i.e.. what they will use the data for). I would expect a use case draft to break things down more, and include more on the expected interactions between actors and systems in the actual process of testing. There's a little of that in the conclusions, and a good bit more either mentioned in passing or implied in the other sections. It would have been useful to have made that sort of thing more explicit.

On the other hand, the main value of such information would be to help build the framework draft, and I see that draft is already late in it's process. At this stage in the process, expanding the use-case analysis would probably serve no purpose.

It's also possible I've just been confused by the draft name; if it had been called something like "User Communities for LMAP", I would probably have reacted differently. 

Major issues:

None

Minor issues:

-- section 2.1, 1st paragraph:

Is testing of "service" performance really in scope? I assume that would include testing the performance of the hosts providing services, in addition to the actual network performance.  (I'm not saying it shouldn't be in scope, but if it is it should be called out more strongly, since it probably implies different sorts of testing.)

-- section 7:

The first paragraph says that this document does not raise any security considerations. I would expect a document that talks about the needs of various user communities to include descriptions of security needs from the perspective of those communities. In fact, the draft does mention at least 2, namely privacy issues, and confidentiality of test data. 

I think there might be others; for example, is there a danger that tests will be interpreted as an attack? Do regulators need to worry about ISPs gaming the tests?

The section goes on to summarize security considerations from the framework draft, but those are not from the perspective of any particular user community.

-- references

There are no normative references. That seems strange, as it implies there are no references that the reader needs to read to understand this draft.  I'd at least expect the framework to be a normative dependency, since at least section 7 leans heavily on it.

Nits/editorial comments:

-- General:

The draft suffers from a very complex and nested sentence structure that makes it harder to read than it needs to be.  In particular, I find a number of sentences that are effectively lists, where some or all list elements contain sub-lists of examples in parentheses. These would be much easier to read if they were formatted as actual bullet or numbered lists. I suggest making another edit pass with an eye towards simplifying the language.

-- section 1, 2nd and third sentences:

I gather these are intended to describe (or name) the use cases, but they sound more like motivation to have the use cases.

-- section 2:

I'm surprised at the assumption that "last mile" implies fixed access.

-- section 2, last sentence:

I suggest dropping "also", as it makes it sound like you mean to add "IPv4 and IPv6" to the list of access technologies earlier in the paragraph.

-- section 2.1, 2nd bullet:

Can you offer a reference or definition for "over-the-top"?

-- section 2.1, second bullet: "Through identifying the end user experience..."

Do you mean _measuring_ the end user experience?

-- 2.1, third bullet, last sentence:

The sentence hard to parse. Is the first comma intended?

-- 2.2, 2nd paragraph, first sentence.

The sentence is hard to read. Can it be broken up or otherwise simplified?

-- 2.2, paragraph 3: "... datasets that are able to compare..."

I suggest "...datasets that can be used to compare..."

-- 2.2, paragraph 4: "... show a performance..."

Extraneous article "a".

-- 3.1, 1st para, sentence starting with "The panel..."

I'm confused by the nested lists, nested parentheses, and unexplained ellipses. Also, it seems to contain a comma splice. Are there missing words?

- 3.1, 1st para:

Can you provide a definition or reference for "mean opinion score"?

-- 3.2:

Overly complex sentence structure. Consider breaking into bullet lists. Something seems messed up near " along the lines..." . Maybe a cut and paste error?

Is [Extend TCP] a citation or a parenthetical phrase? (If the former, it should not include spaces.)

-- 3.5, para 3: Sentence starting with "For example, the issue..."

Run on sentence (or missing punctuation).

-- 4.1, 1st para, last sentence: "... mandate transparent information made available..."

Should that be "... be made available..."?

-- 4.2, 3rd paragraph:

Can you offer a definition for "probes"?